Bug 131127 - usb-storage issue: usb dvdrom recognized as a disk
Summary: usb-storage issue: usb dvdrom recognized as a disk
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-27 19:48 UTC by Dams
Modified: 2015-01-04 22:09 UTC (History)
3 users (show)

Fixed In Version: 2.6.9-1.639
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 17:03:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dams 2004-08-27 19:48:08 UTC
Description of problem:

This is the proc/scsi/scsi on the 2.6.8-1.521 kernel :

Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: IBM      Model: ST318305LW       Rev: C507
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 01 Lun: 00
  Vendor: IBM      Model: DDYS-T18350N     Rev: S93E
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 02 Lun: 00
  Vendor: IBM      Model: DDYS-T18350N     Rev: S93E
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 06 Lun: 00
  Vendor: PLEXTOR  Model: CD-R   PX-W124TS Rev: 1.06
  Type:   CD-ROM                           ANSI SCSI revision: 02
Host: scsi4 Channel: 00 Id: 00 Lun: 00
  Vendor: Revoltec Model: USB/IDE Bridge ( Rev: 0103
  Type:   Direct-Access                    ANSI SCSI revision: 02

And this is how 2.6.6-1.435.2.3smp kernel see the last device :
Host: scsi2 Channel: 00 Id: 00 Lun: 00
  Vendor: HL-DT-ST Model: DVD-ROM GDR8162B Rev: 0015
  Type:   CD-ROM                           ANSI SCSI revision: 02

My usb dvdrom drive seems mis-detected by the kernel and see as an
hard drive (sdd), when it should be seen as a cdrom drive (scd1).

Version-Release number of selected component :
kernel 2.6.7-1.494.2.2 and 2.6.8-1.521

How reproducible: Always

Steps to Reproduce:
1. Boot kernel 2.6.[78] FC2 kernels.
2. Plug the drive
3. Try to play with scd[0-9] devices (eject, cat, whatever)

Actual Results:  All scd[0-9] devices report "no such device". 
"eject sdd" works but other things report reading errors. kudzu didnt
make the cdrom1 link in /dev, but this is just a side effect.

Expected Results:  kernel should report correct vendor/model strings.
And /dev/scd1 should be attached to the drive. And things should "just
work".

Comment 1 Dams 2004-09-14 18:04:51 UTC
kernel 2.6.8-1.541 from rawhide is also affected.

Comment 2 Dams 2004-09-21 18:23:52 UTC
kernel 2.6.8-1.584 from rawhide is also affected. :d

Comment 3 Dams 2004-09-30 17:07:34 UTC
Ditto for 2.6.8-1.590. Switching bug to fc3.

Comment 4 Dams 2004-10-03 08:37:27 UTC
By the way : http://bugme.osdl.org/show_bug.cgi?id=3401

Comment 5 Dams 2004-10-07 18:17:14 UTC
Phil Dibowitz closed the osdl bug report as 'patch already available'.
Here's the link to the patch
http://marc.theaimsgroup.com/?l=linux-usb-devel&m=109389123309604&w=2
Would you mind applying it ? I'm missing my dvds. TIA.

Comment 6 Dams 2004-10-08 20:13:15 UTC
Patched & recompiled 2.6.8-1.598 fixed my problem. 
Eject doesnt work though, but i dont think it's related.

Comment 7 Dams 2004-10-14 18:39:36 UTC
Ping ???

Comment 8 Dams 2004-10-21 17:03:45 UTC
patch included in 2.6.9-1.639smp. Thank you.

Comment 9 Dams 2004-10-27 07:39:05 UTC
FYI, patch has been included in 2.6.10-rc1.


Note You need to log in before you can comment on or make changes to this bug.